#!/bin/bash
echo '---------------------------------------------'
echo 'Actualizando Linux'
echo '---------------------------------------------'
sudo apt update
echo '---------------------------------------------'
echo 'Actualizando Repositorio de Instalacion'
echo '---------------------------------------------'
sudo apt install -y apt-transport-https ca-certificates curl software-properties-common
sudo curl -fsSL https://download.docker.com/linux/ubuntu/gpg | sudo apt-key add -
sudo add-apt-repository "deb [arch=amd64] https://download.docker.com/linux/ubuntu focal stable"
sudo apt-cache policy docker-ce
echo '---------------------------------------------'
echo 'Instalando Docker'
echo '---------------------------------------------'
sudo apt install -y docker-ce
echo '---------------------------------------------'
echo 'Verificando que esta funcionando correctamente'
echo '---------------------------------------------'
sudo systemctl status docker -n 1

